Subject: bug#7771: 23.1; can't turn off font-lock-mode globally

From: Lennart Borgman <[email-masked]>
Date: Mon, 3 Jan 2011 22:02:34 +0100

On Mon, Jan 3, 2011 at 9:39 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Mon, 03 Jan 2011 12:29:13 -0800
>> From: "K. Richard Pixley" <[email-masked]>
>> CC: [email-masked]
>>
>> On 20110103 11:52, Eli Zaretskii wrote:
>> >> From: "K. Richard Pixley"<[email-masked]>
>> >> Date: Mon, 03 Jan 2011 10:40:19 -0800
>> >>
>> >> I believe that the fix needs to occur at a meta level to font lock.
>> > What do you mean by "meta level to font lock"?
>> I mean that the mechanism for allowing or barring font lock apparently
>> can't be part of the font lock subsystem.  It appears as though it will
>> need to be outside the font-lock system in order to _gate_ the font lock
>> system.
>
> That's what Lennart was proposing, AFAIU.
>
> Btw, do you dislike _all_ colored text in Emacs, or only font-lock?
> There are faces Emacs uses that are not related to font-lock at all,
> like the "buttons" in *Help* buffers, the minibuffer prompts, the
> special face for the part of file-name you type in the minibuffer that
> will be ignored because it is before the "//", etc.  Then there are
> colors not related to text, e.g. the fringes.  Do you want a feature
> to turn all of those off, or just the font-lock faces?

Regarding my proposal: Eli, your question is good, just adding a
point. I would expect it to be only face colors that are the problem,
but I am not sure. Richard?